# API Reference <a name="API Reference" id="api-reference"></a>

## Constructs <a name="Constructs" id="Constructs"></a>

### HelloWorld <a name="HelloWorld" id="test-contruct-lib.HelloWorld"></a>

#### Initializers <a name="Initializers" id="test-contruct-lib.HelloWorld.Initializer"></a>

```typescript
import { HelloWorld } from 'test-contruct-lib'

new HelloWorld(scope: Construct, id: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#test-contruct-lib.HelloWorld.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#test-contruct-lib.HelloWorld.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="test-contruct-lib.HelloWorld.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="test-contruct-lib.HelloWorld.Initializer.parameter.id"></a>

- *Type:* string

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#test-contruct-lib.HelloWorld.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#test-contruct-lib.HelloWorld.sayHello">sayHello</a></code> | *No description.* |

---

##### `toString` <a name="toString" id="test-contruct-lib.HelloWorld.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `sayHello` <a name="sayHello" id="test-contruct-lib.HelloWorld.sayHello"></a>

```typescript
public sayHello(): void
```

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#test-contruct-lib.HelloWorld.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="test-contruct-lib.HelloWorld.isConstruct"></a>

```typescript
import { HelloWorld } from 'test-contruct-lib'

HelloWorld.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="test-contruct-lib.HelloWorld.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#test-contruct-lib.HelloWorld.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |

---

##### `node`<sup>Required</sup> <a name="node" id="test-contruct-lib.HelloWorld.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---





